---
search:
  tags:
    - workflows
    - GET
seo:
  description: >-
    List workflows, newest first, paginated. Reference for the GET
    /api/v1/workflows endpoint in the TimescaleDB Enterprise API.
  noindex: true
sidebar:
  label: List workflows
  badge: GET
title: List workflows
type: openapi-operation
---
List workflows, newest first, paginated.

`GET /api/v1/workflows`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "items": [
    {
      "database_service_id": "string",
      "dcs_cluster_id": "string",
      "finished_at": "string",
      "id": "string",
      "last_heartbeat": "string",
      "member_name": "string",
      "operation": "string",
      "started_at": "string",
      "starts_backup": true,
      "status": "running",
      "stop_refusal": "string",
      "target_kind": "database_service",
      "target_name": "string",
      "warning": "string"
    }
  ],
  "page": 0,
  "page_size": 0,
  "total": 0
}
```
